commit:     7b7fa33a989b3b25fc2a67bf99e219e24bbf95b0
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  4 00:06:22 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Apr  4 01:30:34 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b7fa33a

app-arch/bzip3: bump to 1.3.0

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-arch/bzip3/Manifest           |  1 +
 app-arch/bzip3/bzip3-1.3.0.ebuild | 32 ++++++++++++++++++++++++++++++++
 2 files changed, 33 insertions(+)

diff --git a/app-arch/bzip3/Manifest b/app-arch/bzip3/Manifest
index ca39deedc627..3b269354ae92 100644
--- a/app-arch/bzip3/Manifest
+++ b/app-arch/bzip3/Manifest
@@ -2,3 +2,4 @@ DIST bzip3-1.1.8.tar.xz 269668 BLAKE2B 
fe85ba2ecca8e2433501c13e57856720da731b6c9
 DIST bzip3-1.2.1.tar.xz 271652 BLAKE2B 
ef4eae00d93b00dd6dcf2d3beb980c5b0466e8d1af5b6a1c1a493c1524fb91043cbafe404d9ac6907491ab5e894676b3802b572125e14e9a8be19f7ffa22abaa
 SHA512 
b20a7ea52f83a4ddfab0965e34809be66729b516688f1f04b8a21adf5c3c1ad0819dab416f3e844d88d8f52dbe098bedefe63f879c8a6322ffcb19f3f1b3d2d8
 DIST bzip3-1.2.2.tar.xz 275872 BLAKE2B 
601f0b150dee756d204c186f6ace5106fbc90189862cb1bcba7d4f2a2dd093ded64bb8feba0f214aac39ad138a23e6ef430a5e75829dd2ebab77c79d85342197
 SHA512 
476876f3949ac285e86625a9a83741308910ddce5b9449c0ca02b41d9c336f759b9702f2ce6b61243f1fde59a9ef8cf926fb2e94911828d5f39e207319bf522d
 DIST bzip3-1.2.3.tar.xz 276568 BLAKE2B 
08f762174ea565e4115cd7ee0e8d22bf5aae3f060955715cf7e0f22f388b99976baa571db501cc973fe93bcd5245e991ca149f097929336817169ea488bf8907
 SHA512 
cd83092c5f84d9491209a15a002def26bd1b1043631e4c6e90eb8e28d977da696a24c9e80994383943e104766d120acd5a7f6dc2f6892b16661ea1fe57745c53
+DIST bzip3-1.3.0.tar.xz 276724 BLAKE2B 
4b9ddd4da193cc784265eb2584804cfe7ddb55947634dab9068f7df8d0f7ee8684b3ce1cc50df355780aa8514462d23e93ff637ce2ca552f3d09b32bf1edcde2
 SHA512 
3777f6f0c337b5014b510c97ca3d19c77e7e474482d9e83143186ab593967fcec3e19163b32b03e6d8243838091f24e45eca245e35f0a6e5e713f29873ad62c4

diff --git a/app-arch/bzip3/bzip3-1.3.0.ebuild 
b/app-arch/bzip3/bzip3-1.3.0.ebuild
new file mode 100644
index 000000000000..33aa6e59599d
--- /dev/null
+++ b/app-arch/bzip3/bzip3-1.3.0.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="A better and stronger spiritual successor to BZip2"
+HOMEPAGE="https://github.com/kspalaiologos/bzip3";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/kspalaiologos/${PN}.git";
+else
+       
SRC_URI="https://github.com/kspalaiologos/${PN}/releases/download/${PV}/${P}.tar.xz";
+       KEYWORDS="~amd64 ~arm64 ~loong ~x86"
+fi
+
+LICENSE="LGPL-3+"
+SLOT="0"
+
+src_configure() {
+       # ./configure script will default to Clang if it is found on the system,
+       # force the use of CC selected by the user with CC=$(tc-getCC)
+       econf CC=$(tc-getCC)
+}
+
+src_install() {
+       default
+
+       find "${ED}" -type f -name '*.la' -delete || die
+}

Reply via email to